Bug 168321 - rc.sysinit call dynamicly linked multipath rather than multipath.static
Summary: rc.sysinit call dynamicly linked multipath rather than multipath.static
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: initscripts (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
high
Target Milestone: ---
: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
: 171895 174367 175179 178419 (view as bug list)
Depends On:
Blocks: 168429
TreeView+ depends on / blocked
 
Reported: 2005-09-14 22:50 UTC by Tom Sightler
Modified: 2014-03-17 02:55 UTC (History)
5 users (show)

Fixed In Version: RHSA-2006-0016
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 18:20:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0016 qe-ready SHIPPED_LIVE Moderate: initscripts security update 2006-03-07 05:00:00 UTC

Description Tom Sightler 2005-09-14 22:50:51 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Firefox/1.0.6

Description of problem:
In the LVM2 initialization section of rc.sysinit the system checks for and, if required, calls /sbin/multipath rather than /sbin/multipath.static.  Because the multipath tool is dependent on /usr/lib/libsysfs.so.1 this causes errors on systems that mount /usr on another volume since /usr is not normally mounted at this point.


Version-Release number of selected component (if applicable):
initscripts-7.93.20.EL-1

How reproducible:
Always

Steps to Reproduce:
1.  Install a system with seperate root and /usr volumes
2.  Create a multipath.conf file for multipath devices
3.  Boot the system and see errors
  

Actual Results:  Errors about missing /usr/lib/libsysfs.so.1 when multipath is run during init and, because of this, improper building of multipath LVM's.

Expected Results:  No errors and proper multipath setup before LVM scan.

Additional info:

The proper fix seems obvious to me, call multipath.static rather than multipath.   The script does call lvm.static already.  I suppose another option is to relocate libsysfs.so.1 to /lib, but that seems technically incorrect.

I set this to high severity since, without this fix, LVM devices can be unknowingly improperly configured on top of their physical devices rather than the multipath devices meaning that users may think multipath is setup because they see the multipath devices, but the reality is the volumes are activated on a single path.

Comment 5 Bill Nottingham 2005-10-27 17:15:42 UTC
*** Bug 171895 has been marked as a duplicate of this bug. ***

Comment 6 Bill Nottingham 2005-11-10 23:29:03 UTC
Built in 7.93.21.EL-1.

Comment 8 Bill Nottingham 2005-11-28 19:38:33 UTC
*** Bug 174367 has been marked as a duplicate of this bug. ***

Comment 9 Bill Nottingham 2005-12-07 16:15:56 UTC
*** Bug 175179 has been marked as a duplicate of this bug. ***

Comment 10 Bill Nottingham 2006-01-20 18:05:49 UTC
*** Bug 178419 has been marked as a duplicate of this bug. ***

Comment 13 Red Hat Bugzilla 2006-03-07 18:20:46 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0016.html



Note You need to log in before you can comment on or make changes to this bug.